# Method: fhirStores.patch

**Full name**: projects.locations.datasets.fhirStores.patch

Updates the configuration of the specified FHIR store.

### HTTP request

`PATCH https://healthcare.googleapis.com/v1/{fhirStore.name=projects/*/locations/*/datasets/*/fhirStores/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fhirStore.name` | `string` Output only. Identifier. Resource name of the FHIR store, of the form `projects/{projectId}/locations/{location}/datasets/{datasetId}/fhirStores/{fhirStoreId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string(`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The update mask applies to the resource. For the `FieldMask` definition, see <https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask> This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores#FhirStore`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores#FhirStore`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).